<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">

        <s:decorate template="/layout/form/_form_page.xhtml">

            <h2>#{messages['net.ihe.gazelle.atna.CreateCertificatesFromCSV']}</h2>
            <h:form id="batchCreateForm">
                <!--<s:token id="batchToken" allowMultiplePost="true"/>-->
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">
                        #{messages['net.ihe.gazelle.atna.CertificateCreation']}
                    </ui:define>

                    <ui:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.PKICertificateAuthority']}</ui:define>
                        <h:outputText value="#{systemCA.getSubject()}"/>
                    </ui:decorate>

                    <ui:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="batchInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateList']}</ui:define>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.atna.EnterOneCertificateToCreatePerLineSystemorganisa']}"
                                styleClass="help-block"/>
                        <h:inputTextarea id="batchInput" value="#{certificateCSVFactory.csv}" rows="20"
                                         styleClass="form-control" required="true"/>
                    </ui:decorate>

                    <ui:define name="panel_footer">
                        <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                        <h:commandButton action="#{certificateCSVFactory.createCertificates()}"
                           styleClass="gzl-btn-blue"
                           value="#{messages['net.ihe.gazelle.atna.Create']}"
                           execute="batchCreateForm"/>
                    </ui:define>
                </ui:decorate>

            </h:form>

        </s:decorate>

    </ui:define>
</ui:composition>
